memory_pool.h File Reference
`#include "scalable_allocator.h"`
`#include <new>`
`#include <stdexcept>`
`#include <string>`
Include dependency graph for memory_pool.h:

Go to the source code of this file.

## Classes

class | tbb::interface6::internal::pool_base
| Base of thread-safe pool allocator for variable-size requests. More...
class | tbb::interface6::memory_pool_allocator< T, P >
| Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...
struct | tbb::interface6::memory_pool_allocator< T, P >::rebind< U >
class | tbb::interface6::memory_pool_allocator< void, P >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
struct | tbb::interface6::memory_pool_allocator< void, P >::rebind< U >
class | tbb::interface6::memory_pool< Alloc >
| Thread-safe growable pool allocator for variable-size requests. More...
class | tbb::interface6::fixed_pool

## Namespaces

| tbb
| The graph class.
| tbb::interface6
| tbb::interface6::internal

## Macros

#define | __TBBMALLOC_ASSERT(a, b) ((void)0)

## Functions

template<typename T , typename U , typename P >
bool | tbb::interface6::operator== (const memory_pool_allocator< T, P > &a, const memory_pool_allocator< U, P > &b)
template<typename T , typename U , typename P >
bool | tbb::interface6::operator!= (const memory_pool_allocator< T, P > &a, const memory_pool_allocator< U, P > &b)

## Macro Definition Documentation

## __TBBMALLOC_ASSERT

#define __TBBMALLOC_ASSERT | ( |  | a,
|  |  | b
| ) |  | ((void)0)

Definition at line 37 of file memory_pool.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.